package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 陵园预约对象 boman_reservat
 * 
 * @author ruoyi
 * @date 2023-11-02
 */
public class BomanReservat extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 陵园预约ID */
    private Long reservatId;

    /** 预约时段配置ID */
    private Long reservatConfigTimeId;

    /** 来访者姓名 */
    @Excel(name = "来访者姓名")
    private String visitName;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String visitUnitName;

    /** 来访者手机号 */
    @Excel(name = "来访者手机号")
    private String visitPhone;

    /** 来访者身份证 */
    @Excel(name = "来访者身份证")
    private String visitIdCard;

    /** 来访者人数 */
    @Excel(name = "来访者人数")
    private String visitNum;

    /** 来访者补充事由 */
    @Excel(name = "来访者补充事由")
    private String visitRemark;

    /** 预约日期 */
    private String visitDate;

    /** 预约时间 */
    @Excel(name = "预约时间")
    private String visitTime;

    /** 预约时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "预约时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date visitDateTime;

    /** 预约二维码 */
    @Excel(name = "预约二维码")
    private String visitQr;

    /** 预约状态 1:等待审核 2:拒绝 3:已审核 */
    @Excel(name = "预约状态 1:等待审核 2:拒绝 3:已审核")
    private String visitType;

    /** 是否入场 1:未入场 2:已入场 */
    @Excel(name = "是否入场 1:未入场 2:已入场")
    private String visitStatus;

    /** 人员类型 1:团队 2:散客 */
    @Excel(name = "人员类型 1:团队 2:散客")
    private String reservatType;

    /** 是否需要接待 N:不需要 Y:需要 */
    @Excel(name = "是否需要接待 N:不需要 Y:需要")
    private String isReception;

    /** 接人人员id */
    @Excel(name = "接人人员id")
    private Long receptionId;

    /** 接人人员姓名 */
    private String receptionName;

    /** 接人人员手机号 */
    private String receptionPhone;
    /**
     * 查询时间类型 1:今天 2:昨天 3:近7天 4:近三十天
     */
    private String dataType;

    /** 创建部门 */
    @Excel(name = "创建部门")
    private Long createDept;

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    public Long getReservatConfigTimeId() {
        return reservatConfigTimeId;
    }

    public void setReservatConfigTimeId(Long reservatConfigTimeId) {
        this.reservatConfigTimeId = reservatConfigTimeId;
    }

    public void setReservatId(Long reservatId)
    {
        this.reservatId = reservatId;
    }

    public Long getReservatId() 
    {
        return reservatId;
    }
    public void setVisitName(String visitName) 
    {
        this.visitName = visitName;
    }

    public String getVisitName() 
    {
        return visitName;
    }
    public void setVisitUnitName(String visitUnitName) 
    {
        this.visitUnitName = visitUnitName;
    }

    public String getVisitUnitName() 
    {
        return visitUnitName;
    }
    public void setVisitPhone(String visitPhone) 
    {
        this.visitPhone = visitPhone;
    }

    public String getVisitPhone() 
    {
        return visitPhone;
    }
    public void setVisitIdCard(String visitIdCard) 
    {
        this.visitIdCard = visitIdCard;
    }

    public String getVisitIdCard() 
    {
        return visitIdCard;
    }
    public void setVisitNum(String visitNum) 
    {
        this.visitNum = visitNum;
    }

    public String getVisitNum() 
    {
        return visitNum;
    }
    public void setVisitRemark(String visitRemark) 
    {
        this.visitRemark = visitRemark;
    }

    public String getVisitRemark() 
    {
        return visitRemark;
    }

    public String getVisitDate() {
        return visitDate;
    }

    public void setVisitDate(String visitDate) {
        this.visitDate = visitDate;
    }

    public void setVisitTime(String visitTime)
    {
        this.visitTime = visitTime;
    }

    public String getVisitTime() 
    {
        return visitTime;
    }
    public void setVisitDateTime(Date visitDateTime) 
    {
        this.visitDateTime = visitDateTime;
    }

    public Date getVisitDateTime() 
    {
        return visitDateTime;
    }
    public void setVisitQr(String visitQr) 
    {
        this.visitQr = visitQr;
    }

    public String getVisitQr() 
    {
        return visitQr;
    }
    public void setVisitType(String visitType) 
    {
        this.visitType = visitType;
    }

    public String getVisitType() 
    {
        return visitType;
    }
    public void setVisitStatus(String visitStatus) 
    {
        this.visitStatus = visitStatus;
    }

    public String getVisitStatus() 
    {
        return visitStatus;
    }
    public void setReservatType(String reservatType) 
    {
        this.reservatType = reservatType;
    }

    public String getReservatType() 
    {
        return reservatType;
    }
    public void setIsReception(String isReception) 
    {
        this.isReception = isReception;
    }

    public String getIsReception() 
    {
        return isReception;
    }
    public void setReceptionId(Long receptionId) 
    {
        this.receptionId = receptionId;
    }

    public Long getReceptionId() 
    {
        return receptionId;
    }
    public void setCreateDept(Long createDept) 
    {
        this.createDept = createDept;
    }

    public Long getCreateDept() 
    {
        return createDept;
    }

    public String getReceptionName() {
        return receptionName;
    }

    public String getReceptionPhone() {
        return receptionPhone;
    }

    public void setReceptionName(String receptionName) {
        this.receptionName = receptionName;
    }

    public void setReceptionPhone(String receptionPhone) {
        this.receptionPhone = receptionPhone;
    }

    @Override
    public String toString() {
        return "BomanReservat{" +
                "reservatId=" + reservatId +
                ", visitName='" + visitName + '\'' +
                ", visitUnitName='" + visitUnitName + '\'' +
                ", visitPhone='" + visitPhone + '\'' +
                ", visitIdCard='" + visitIdCard + '\'' +
                ", visitNum='" + visitNum + '\'' +
                ", visitRemark='" + visitRemark + '\'' +
                ", visitDate=" + visitDate +
                ", visitTime='" + visitTime + '\'' +
                ", visitDateTime=" + visitDateTime +
                ", visitQr='" + visitQr + '\'' +
                ", visitType='" + visitType + '\'' +
                ", visitStatus='" + visitStatus + '\'' +
                ", reservatType='" + reservatType + '\'' +
                ", isReception='" + isReception + '\'' +
                ", receptionId=" + receptionId +
                ", receptionName='" + receptionName + '\'' +
                ", receptionPhone='" + receptionPhone + '\'' +
                ", createDept=" + createDept +
                '}';
    }
}
